Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# gc_profile_record Struct Reference

## Data Fields
double | gc_time
double | gc_mark_time
double | gc_sweep_time
double | gc_invoke_time
size_t | heap_use_slots
size_t | heap_live_objects
size_t | heap_free_objects
size_t | heap_total_objects
size_t | heap_use_size
size_t | heap_total_size
int | have_finalize
size_t | allocate_increase
size_t | allocate_limit

## Detailed Description

Definition at line 89 of file gc.c.

## Field Documentation

size_t gc_profile_record::allocate_increase

Definition at line 104 of file gc.c.

Referenced by gc_profile_record_get().

size_t gc_profile_record::allocate_limit

Definition at line 105 of file gc.c.

Referenced by gc_profile_record_get().

double gc_profile_record::gc_invoke_time

Definition at line 93 of file gc.c.

Referenced by gc_profile_record_get().

double gc_profile_record::gc_mark_time

Definition at line 91 of file gc.c.

Referenced by gc_profile_record_get().

double gc_profile_record::gc_sweep_time

Definition at line 92 of file gc.c.

Referenced by gc_profile_record_get().

double gc_profile_record::gc_time

Definition at line 90 of file gc.c.

Referenced by gc_profile_record_get(), and gc_profile_total_time().

int gc_profile_record::have_finalize

Definition at line 102 of file gc.c.

Referenced by gc_profile_record_get().

size_t gc_profile_record::heap_free_objects

Definition at line 97 of file gc.c.

Referenced by gc_profile_record_get().

size_t gc_profile_record::heap_live_objects

Definition at line 96 of file gc.c.

Referenced by gc_profile_record_get().

size_t gc_profile_record::heap_total_objects

Definition at line 98 of file gc.c.

Referenced by gc_profile_record_get().

size_t gc_profile_record::heap_total_size

Definition at line 100 of file gc.c.

Referenced by gc_profile_record_get().

size_t gc_profile_record::heap_use_size

Definition at line 99 of file gc.c.

Referenced by gc_profile_record_get().

size_t gc_profile_record::heap_use_slots

Definition at line 95 of file gc.c.

Referenced by gc_profile_record_get().

The documentation for this struct was generated from the following file:

- gc.c